GET /v1/public/storefronts/{slug}/promotions
GET
/v1/public/storefronts/{slug}/promotionsPath parameters
slugstringrequiredQuery parameters
categorystringqstringtagstringpreview_tokenstringlimitinteger<int32>min 1 · max 100 · default: 30
offsetinteger<int32>min 0 · default: 0
Responses
200OK
itemsPromotionOutput[] | nullrequiredShow propertiesHide properties
Array of
PromotionOutputauto_applybooleanbundle_product_idsstring[] | nullcategory_idsstring[] | nullcodestringcollection_idsstring[] | nulldiscount_typestringrequireddiscount_valueinteger<int64>requiredends_atstring<date-time>idstringrequiredmax_usesinteger<int64>min_subtotal_amountinteger<int64>namestringproduct_idsstring[] | nullstarts_atstring<date-time>defaultError
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/public/storefronts/string/promotions"const response = await fetch("/v1/public/storefronts/string/promotions", {
method: "GET"
});import requests
response = requests.get(
"/v1/public/storefronts/string/promotions",
)Response
{
"items": [
{
"auto_apply": true,
"bundle_product_ids": [
"string"
],
"category_ids": [
"string"
],
"code": "string",
"collection_ids": [
"string"
],
"discount_type": "string",
"discount_value": 0,
"ends_at": "2024-01-01T00:00:00Z",
"id": "string",
"max_uses": 0,
"min_subtotal_amount": 0,
"name": "string",
"product_ids": [
"string"
],
"starts_at": "2024-01-01T00:00:00Z"
}
]
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}